
QGIS Application - Bug report #11607

No warning when created feature hasn't finished when saving layer

2014-11-10 04:51 AM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19863

Description

This issue gives rise to confusion when creating a feature.

Steps:

- Enable editing on a vector layer.

- Create a new feature, but DO NOT finish by right clicking.

- Save the layer.

- Disable editing.

Problem:

The feature has been created on the screen, but its not in the layer. A novice user might think that the feature has been created

successfully, but its not.

History

#1 - 2014-11-10 05:08 AM - Giovanni Manghi

- Operating System deleted (windows)

- OS version deleted (7 64bit)

- Category set to Digitising

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
